
#include <GL/gl.h>
#include <iostream>
#include "WFObj.hh"
using namespace std;

GLuint loadTexture(const char * texture)
{
	cout << "got texture request: '" << texture << "'" << endl;
	return 33;
}

int main(int argc, char * argv[])
{
	WFObj w;
	if (argc < 2)
	{
		cout << "Usage: " << argv[0] << " <filename>" << endl;
		return -2;
	}
	if (!w.load(argv[1], &loadTexture))
	{
		cout << "Couldn't open '" << argv[1] << "'!" << endl;
		return -1;
	}
	w.render();
	return 0;
}
